Bug 261256 - audio/jack: Update to 1.9.20 release.
Summary: audio/jack: Update to 1.9.20 release.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hans Petter Selasky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-16 22:34 UTC by Florian Walpen
Modified: 2022-01-19 10:46 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (multimedia)


Attachments
Update to 1.9.20 release, split example clients and tools. (16.41 KB, patch)
2022-01-16 22:34 UTC, Florian Walpen
no flags Details | Diff
Update to 1.9.20 release, split example clients and tools. (39.74 KB, patch)
2022-01-17 09:21 UTC, Florian Walpen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Walpen 2022-01-16 22:34:47 UTC
Created attachment 231059 [details]
Update to 1.9.20 release, split example clients and tools.

First of all I'd like to take maintainership of audio/jack and the new audio/jack-example-tools. I'm the main author of the FreeBSD specific OSS backend and also involved with upstream development.

I managed to get the FreeBSD specific changes upstream, which means we can fetch the original sources again, instead of from my personal github repo (0EVSG).

There's one big change in the port structure. Development of the client examples and tools has been split from the JACK server, so I moved them to a new port audio/jack-example-tools. Consumers of the JACK server and library still depend on audio/jack though, I'm not aware of any port that would depend on the tools.

This also includes a fix for missing symbols in the libjack.so library, see bug #257696. These patches didn't make it into the release.
Comment 1 Hans Petter Selasky freebsd_committer 2022-01-17 09:04:25 UTC
Looks good to me.
Comment 2 Florian Walpen 2022-01-17 09:06:35 UTC
Hold on, I forgot to register the new port in audio/Makefile ...
Comment 3 Florian Walpen 2022-01-17 09:21:40 UTC
Created attachment 231068 [details]
Update to 1.9.20 release, split example clients and tools.

The new port audio/jack-example-tools was missing from audio/Makefile, corrected.
Comment 4 Hans Petter Selasky freebsd_committer 2022-01-17 09:26:37 UTC
Florian, who should push this to ports?
Comment 5 Florian Walpen 2022-01-17 09:32:41 UTC
(In reply to Hans Petter Selasky from comment #4)

I can't, so I would be glad if you (or anyone else) could do it. Is there an official way to ask someone, apart from posting here? Thanks!
Comment 6 Hans Petter Selasky freebsd_committer 2022-01-17 09:50:51 UTC
I can probably take it later today or tomorrow.

Just make sure "everything" is tested :-)

--HPS
Comment 7 Hans Petter Selasky freebsd_committer 2022-01-17 09:52:41 UTC
Hi,

I wonder if it is more appropriate to call the new package:

jack-utils

What does Linux do?

--HPS
Comment 8 Florian Walpen 2022-01-17 10:14:05 UTC
(In reply to Hans Petter Selasky from comment #7)

jack-example-tools is the name of the upstream git repo - there's not many Linux packages around yet (it's new), but they are called the same.

Regarding testing, "everything" is a whole lot :-)
What I did test:
- portlint -C
- poudriere testport with different options set
- Build a lot of dependent ports
- Use jack and do some basic tests with the tools

Is there something obvious I forgot?
Comment 9 Hans Petter Selasky freebsd_committer 2022-01-17 10:32:09 UTC
I'll give it a spin too.

Sounds good.

--HPS
Comment 10 commit-hook freebsd_committer 2022-01-19 10:45:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=93344cda77603560b6ba421778d92be03e70800b

commit 93344cda77603560b6ba421778d92be03e70800b
Author:     Hans Petter Selasky <hselasky@FreeBSD.org>
AuthorDate: 2022-01-19 10:41:40 +0000
Commit:     Hans Petter Selasky <hselasky@FreeBSD.org>
CommitDate: 2022-01-19 10:44:09 +0000

    audio/jack: Update to 1.9.20 release.

    The FreeBSD specific changes have been upstreamed, we can fetch the original
    sources again. Development of the client examples and tools has been split
    from the JACK server, move them to the new port jack-example-tools.

    This also includes a fix for missing library symbols, see bug #257696.

    Take maintainership of audio/jack and audio/jack-example-tools .

    PR: 257696
    PR: 261256

    Submitted by:   Florian Walpen <dev@submerge.ch>
    Approved by:    pi (implicit)

 audio/Makefile                                    |  1 +
 audio/jack-example-tools/Makefile (new)           | 49 +++++++++++++++++
 audio/jack-example-tools/distinfo (new)           |  3 ++
 audio/jack-example-tools/pkg-descr (new)          |  8 +++
 audio/jack-example-tools/pkg-plist (new)          | 65 +++++++++++++++++++++++
 audio/jack/Makefile                               | 34 ++++--------
 audio/jack/distinfo                               |  6 +--
 audio/jack/files/patch-common_JackError.cpp (new) | 10 ++++
 audio/jack/files/patch-common_JackError.h (new)   | 13 +++++
 audio/jack/pkg-descr                              | 13 ++---
 audio/jack/pkg-message                            | 49 ++++++-----------
 audio/jack/pkg-plist                              | 60 +--------------------
 12 files changed, 184 insertions(+), 127 deletions(-)